% colors.tex
%
% The documentation in this file is part of Pyxplot
% <http://www.pyxplot.org.uk>
%
% Copyright (C) 2006-2012 Dominic Ford <coders@pyxplot.org.uk>
%               2008-2012 Ross Church
%
% $Id: colors.tex 1261 2012-07-11 21:38:05Z dcf21 $
%
% Pyxplot is free software; you can redistribute it and/or modify it under the
% terms of the GNU General Public License as published by the Free Software
% Foundation; either version 2 of the License, or (at your option) any later
% version.
%
% You should have received a copy of the GNU General Public License along with
% Pyxplot; if not, write to the Free Software Foundation, Inc., 51 Franklin
% Street, Fifth Floor, Boston, MA  02110-1301, USA

% ----------------------------------------------------------------------------

% LaTeX source for the Pyxplot Users' Guide

\chapter{Color tables}
\label{ch:color_charts}

\index{colors!charts} Figures~\ref{fig:color_table1}, \ref{fig:color_table2}
and \ref{fig:color_table3} show the default named colors which Pyxplot recognises.
In addition to using these colors in statements such as

\begin{verbatim}
plot 'data' with color red
\end{verbatim}

\noindent it is also possible to make custom colors using the {\tt rgb(r,g,b)},
{\tt cmyk(c,m,y,k)}, {\tt gray(g)} and {\tt hsb(h,s,b)} functions, whose inputs
should be in the range 0--1. For example:

\begin{verbatim}
plot 'data' with color rgb(0.8,0.8,0.2)

myColor = cmyk(0.2,0.8,0.8,0.1)
plot 'data' with color myColor
\end{verbatim}

These figures also exclude the 100~shades of gray which Pyxplot recognises,
which are named from {\tt gray00} (black) to {\tt gray99} (almost white).
These shades of gray may also be spelt in the UK English form {\tt grey??}.
\index{colors!shades of gray}

\begin{figure}
\begin{center}
\includegraphics[width=\textwidth]{figures/pyx_colors2}
\end{center}
\caption[A list of the named colors which Pyxplot recognises, sorted alphabetically]
{A list of the named colors which Pyxplot recognises, sorted alphabetically. The numerous shades of gray which it recognises are not shown.}
\label{fig:color_table1}
\end{figure}

\begin{figure}
\begin{center}
\includegraphics[width=\textwidth]{figures/pyx_colors3}
\end{center}
\caption[A list of the named colors which Pyxplot recognises, sorted by hue]
{A list of the named colors which Pyxplot recognises, sorted by hue. The numerous shades of gray which it recognises are not shown.}
\label{fig:color_table2}
\end{figure}

\begin{figure}
\begin{center}
\includegraphics[width=\textwidth]{figures/pyx_colors}
\end{center}
\caption[The named colors which Pyxplot recognises, arranged in HSB color space]
{The named colors which Pyxplot recognises, arranged in HSB color space, with the brightness axis orientated into the page. Some colors are not shown as they lie too close to others.}
\label{fig:color_table3}
\end{figure}

